# -*- coding: utf-8 -*-
#$Id: testDocTest.py 91 2006-03-09 16:24:08Z taka $
#############################################################################
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################

#
# ATCTSSTestCase DocTests
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))


def setUp(self):
    '''This method will run after the test_class' setUp.

    >>> import Acquisition
    >>> from Globals import INSTANCE_HOME
    '''
    try:
        # disable COREBlog2 standard output.
        import Products.COREBlog2
    except:
        pass


def test_suite():
    from Testing.ZopeTestCase import ZopeDocTestSuite
    from Testing.ZopeTestCase import ZopeDocFileSuite
    from unittest import TestSuite
    return TestSuite((
        ZopeDocTestSuite(setUp=setUp),
        ZopeDocFileSuite('../content/smallcontent.py', setUp=setUp),
    ))


if __name__ == '__main__':
    framework()

